Subject: [Isis-wg] IS-IS on UPSR ring

From: Lawrence Mao <[email-masked]>
Date: Mon, 22 Apr 2002 13:45:27 -0700 (PDT)

Thanks for all the replies.

I understand the approach of Token Ring at layer 2
for single-fiber rings. But what if we could not
change the code in the link layer (PPP or LAPD), and
modifying the IS-IS code would be the only way to do?
Then I am wondering what the minimum code changes are
needed, areas such as neighbor adjacency, PSNP ACK,
SPF calculation, etc.?

Thanks,
--
Lawrence

------------------------------------------------------
Laurence,

This isn't really an IS-IS question, it's a SONET
question.  For SONET
DCC, you run IS-IS over LAP-B (or possibly PPP).  In
either case, dual
fiber counter-directional rings are required.  To the
software, you must
make it look like there is a bidirectional link
between A and B, using
the clockwise ring for transmit and the
counterclockwise ring for
receive.

For single-fiber rings, you would need a proprietary
solution.  You
could try something like Token Ring at the link layer
and make the
ring look like a TR broadcast LAN.

Regards,
Jeff

At 07:33 PM 4/19/2002, Lawrence Mao wrote:
>Hi all,
>
>If the IS-IS needs to be supported on a SONET
>UPSR ring, throught its DCC channel (note that
>the ring is uni-directional), say, if I have 4
>nodes on a ring:
>
>    A --> B --> C --> D -
>    ^                    |
>    |--------------------
>
>what kind of modifications need to be made in
>order to let the protocol work properly (note
>all interfaces are p2p type)?
>
>2nd question is, if the interface is unnumbered,
>how is its routing table generated? Use routerID?
>
>Thanks,
>--
>Lawrence

__________________________________________________
Do You Yahoo!?
Yahoo! Games - play chess, backgammon, pool and more
http://games.yahoo.com/
_______________________________________________
Isis-wg mailing list  -  [email-masked]
http://spider.juniper.net/mailman/listinfo/isis-wg